/* Ответ на теоретический вопрос:

Циклы в коде нужны для того чтобы произвести повторяющиеся действия. Если мы знаем сколько раз нужно повторить действие то используем for со счетчиком итераций, если мы не знаем сколько повторений нам понадобится то используем while или do while(который в любом случае выполнит задачу хотя бы 1 раз) с условием входа/выхода из цикла.*/


let n;

do {
    n = +prompt("Enter a number, please");
} while (!Number.isInteger(n));

if (n < 5) {
    console.log("Sorry, no numbers");
} else {
    for (let i = 1; i <= n; i++) {
        if (i % 5 === 0) {
            console.log(i);
        }
    }
}
// насколько я понимаю сам 0 НЕ кратен 5 (иначе было бы let i = 0) 